/**********************************************************************
 * Copyright (c) 2005, 2007 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: DataServerListener.java,v 1.1 2007-04-09 14:04:24 samwai Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/

package org.eclipse.hyades.execution.local.common;

/**
 * This interface is used in conjunction with the TCPDataServer to notify
 * implementors when the TCPDataProcessor has completed doing all of its work
 * and the processor is exiting.
 */
public interface DataServerListener extends DataProcessor {

	void dataServerExited();

}
