/*******************************************************************************
 * Copyright (c) 2000, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: LogMessages.java,v 1.5 2008-01-24 02:29:58 apnan Exp $
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.hyades.log.ui.internal;


import org.eclipse.osgi.util.NLS;

public final class LogMessages extends NLS {

	protected static String BUNDLE_NAME = "org.eclipse.hyades.log.ui.internal.log-messages";//$NON-NLS-1$

	protected LogMessages() {
		// Do not instantiate
	}

	public static String MENU_MANAGER;
	public static String LG_AGT;
	public static String LG_TYPE;
	public static String LG_PATH;
	public static String DISPLAY_NAME;
	public static String SNCH_NDT;
	public static String INVDELT_FMT;
	public static String INVDELT_VAL;

	static 
	{
		NLS.initializeMessages(BUNDLE_NAME, LogMessages.class);
	}
}