/**********************************************************************
 * Copyright (c) 2003, 2007 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 * IBM - Initial API and implementation
 *
 * $Id: IntList.java,v 1.2 2007-12-01 00:06:20 apnan Exp $
 **********************************************************************/
package org.eclipse.hyades.models.hierarchy.util;


/**
 * 
 * @author slavescu
 *
 */
public interface IntList{
	public static final int MISSING_VALUE = -1;

	IntList clear();
	IntList compact();
	int set(int value, int index);
	int size();
	IntList add(int value);
	IntList add(int value, int index);
	int get(int index);
	int indexOf(int value, int startIndex);
	int lastIndexOf(int value, int endIndex);
	int[] getValues();
	int[] toArray();
	String toString();
}
