/* ***********************************************************
 * Copyright (c) 2005, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: EditStylesAction.java,v 1.3 2008-05-23 14:12:18 jcayne Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 ************************************************************/


/*
 * Created on 13 janv. 2004
 *
  */
package org.eclipse.tptp.platform.report.ui.editor.actions.internal;

import org.eclipse.jface.action.IAction;
import org.eclipse.tptp.platform.report.core.internal.DStyleRegistry;
import org.eclipse.tptp.platform.report.drivers.ui.internal.SWTViewer;
import org.eclipse.tptp.platform.report.ui.dialogs.internal.StyleEditorDialog;


/**
 * Enter here your comment
 * 
 * @deprecated As of TPTP 4.5.0, use the TPTP Business Intelligence and Reporting Tools (BIRT) reporting infrastructure (<code>org.eclipse.tptp.platform.report.birt</code>).
 */
public class EditStylesAction extends JScribEditorActionDelegate 
{
	public void run(IAction act) 
	{
		DStyleRegistry s = getEditor().getStyles();
		StyleEditorDialog d = new StyleEditorDialog(getEditor().getSite().getShell());
		d.applied.connect(this, "refreshView()");
		d.setStyles(s);
		d.open();
	};
	
	public void refreshView()
	{
		SWTViewer[] viewers = getEditor().getSWTViewers();
	    for (int i=0; i<viewers.length; i++)
		   viewers[i].refresh();
		
		
	}

}
