/*******************************************************************************
 * Copyright (c) 2006 Intel Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Andy Kaylor, Intel - Created Ping test
 *
 * $Id: PingCmdHandler.h,v 1.2 2006-10-26 21:31:56 kcallaghan Exp $
 *
 *******************************************************************************/ 

#include "tptp/client/ICommandHandler.h"
#include "tptp/tptpUtils.h"

using namespace TPTP::Client;

class PingCommandHandler: public ICommandHandler
{
	public:
		PingCommandHandler();
		virtual ~PingCommandHandler();

		virtual void incomingCommand(INode* node, CommandElement* command);

		void waitForResponse();

	private:
		bool        responseReceived;
		Semaphore_t responseReceivedSem;
};

