/*******************************************************************************
 * Copyright (c) 2010 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: HTMLNavItem.java,v 1.2 2010-02-26 19:19:58 jcayne Exp $
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.tptp.content.provider.sample;

import java.util.List;

import org.eclipse.core.resources.IResource;
import org.eclipse.hyades.ui.extension.INavigatorItem;
import org.eclipse.swt.graphics.Image;
import org.eclipse.ui.ISharedImages;
import org.eclipse.ui.PlatformUI;


public class HTMLNavItem implements INavigatorItem {
	IResource res;
	public HTMLNavItem(IResource res) {
		this.res = res;
	}
	public void delete(boolean referentialIntegrity, boolean deleteContents) {
	}

	public List getChildren() {
		return null;
	}

	public Object getData() {
		return null;
	}

	public Object getParent() {
		return null;
	}

	public String getText() {
		return res.getName();
	}

	public String getType() {
		return "trace"; //$NON-NLS-1$
	}

	public boolean hasChildren() {
		return false;
	}

	public boolean isDeleteEnabled() {
		return false;
	}

	public boolean isSaveEnabled() {
		return false;
	}

	public boolean isUnloadEnabled() {
		return false;
	}

	public void save(boolean referentialIntegrity) {
	}

	public void unload(boolean referentialIntegrity) {
	}

	public Object getAdapter(Class adapter) {
		return null;
	}

	public Image getImage() {
		return PlatformUI.getWorkbench().getSharedImages().getImage(ISharedImages.IMG_OBJ_FILE);
	}

}
