/********************************************************************** 
 * Copyright (c) 2005 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0 
 * which accompanies this distribution, and is available at 
 * http://www.eclipse.org/legal/epl-v10.html 
 * $Id: IServerInterrogationCommand.java,v 1.1 2005-09-21 20:51:29 sschneid Exp $ 
 * 
 * Contributors: 
 * IBM - Initial API and implementation 
 **********************************************************************/

package org.eclipse.hyades.internal.execution.core.file.dynamic;

/**
 * The server interrogation command, a specialized file server command used for
 * interrogating the server, used primarily for meta-like commands, commands
 * that operate on the server and query the server itself
 * 
 * @author Scott E. Schneider
 */
public interface IServerInterrogationCommand extends IFileServerCommand {
}
