/**********************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: OpenClassInteractions.java,v 1.1 2005-07-22 14:49:35 hleung Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.uml2sd.trace.actions.internal;

/**
 * Action that opens the class interactions.
 * It exists mainly because the id of the org.eclipse.hyades.ui.analyzerExtensions extension point
 * can not be retrieved.
 */
public class OpenClassInteractions extends OpenTraceInteractions {

	/**
	 * Not so confortable than the extension id, but an id anyway
	 * Now we know which class is to be instantiated
	 */
	public String getLoaderClassName() {
		return "org.eclipse.hyades.uml2sd.trace.loaders.ClassInteractions"; //$NON-NLS-1$
	}
	
}
