/**********************************************************************
 * Copyright (c) 2007, 2015 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: IProfileServerConstants.java,v 1.2 2009-10-30 15:54:58 ewchan Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/

package org.eclipse.tptp.platform.profile.server.core.internal;

public interface IProfileServerConstants {
	
	public final static String JVM_ARG_TI_PREFIX = "-agentlib:JPIBootLoader=JPIAgent:server=standalone;";  //$NON-NLS-1$ //$NON-NLS-2$
	public final String JVM_ARG_TI_EXECUTION=JVM_ARG_TI_PREFIX+"CGProf";  //$NON-NLS-1$ //$NON-NLS-2$
	public final String JVM_ARG_TI_HEAP=JVM_ARG_TI_PREFIX+"HeapProf";  //$NON-NLS-1$ //$NON-NLS-2$
	public final String JVM_ARG_TI_THREAD=JVM_ARG_TI_PREFIX+"ThreadProf";  //$NON-NLS-1$ //$NON-NLS-2$
	
	public final String JVM_130 = "1.3.0";  //$NON-NLS-1$ //$NON-NLS-2$
	public final String JVM_142 = "1.4.2"; //$NON-NLS-1$ //$NON-NLS-2$
	public final String JVM_5= "1.5.0"; //$NON-NLS-1$ //$NON-NLS-2$
	public final String JVM_6 = "1.6.0"; //$NON-NLS-1$ //$NON-NLS-2$
	public final String JVM_7 = "1.7"; //$NON-NLS-1$ //$NON-NLS-2$
	public final String JVM_8 = "1.8"; //$NON-NLS-1$ //$NON-NLS-2$
	
	public final String SERVER_JVM_VERSION = ServerPlugin.getPluginId()+"SERVER_JVM_VERSION";
	public final String SERVER_JVM_ARCH = ServerPlugin.getPluginId()+"SERVER_JVM_ARCH";
	public final String SERVER_DIALOG_STATUS = ServerPlugin.getPluginId()+"SERVER_DIALOG_STATUS";
	
	//key for indication of not attaching nor switching perspective for profile on server use cases
	public final String DO_NOT_ATTACH_AND_SWITCH_PERP = "NOT_ATTACH_N_SWITCH";
}
