/* ***********************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: AxisDefinition.java,v 1.1 2005-03-30 08:26:41 dguilbaud Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 ************************************************************/

/**********************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: AxisDefinition.java,v 1.1 2005-03-30 08:26:41 dguilbaud Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/

package org.eclipse.tptp.platform.report.chart.svg.internal.input;

import org.w3c.dom.Element;

import java.util.List;



/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Axis Definition</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getId <em>Id</em>}</li>
 *   <li>{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getLabel <em>Label</em>}</li>
 *   <li>{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getLabelRotation <em>Label Rotation</em>}</li>
 *   <li>{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getMax <em>Max</em>}</li>
 *   <li>{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getMin <em>Min</em>}</li>
 *   <li>{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getScale <em>Scale</em>}</li>
 *   <li>{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getMajorUnit <em>Major Unit</em>}</li>
 *   <li>{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getMinorUnit <em>Minor Unit</em>}</li>
 *   <li>{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getMarkerLine <em>Marker Line</em>}</li>
 *   <li>{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getMarkerRegion <em>Marker Region</em>}</li>
 *   <li>{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getNumberFormat <em>Number Format</em>}</li>
 *   <li>{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getDateFormat <em>Date Format</em>}</li>
 *   <li>{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getCustomFormat <em>Custom Format</em>}</li>
 *   <li>{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getAccessibility <em>Accessibility</em>}</li>
 *   <li>{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getEventHandler <em>Event Handler</em>}</li>
 *   <li>{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getTooltip <em>Tooltip</em>}</li>
 * </ul>
 * </p>
 *
 * @model 
 * @generated
 */
public interface AxisDefinition {
	/**
	 * Returns the value of the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Id</em>' attribute.
	 * @see #setId(String)
	 * @see org.eclipse.tptp.platform.report.chart.svg.internal.input.InputPackage#getAxisDefinition_Id()
	 * @model id="true"
	 * @generated
	 */
	String getId();

	/**
	 * Sets the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getId <em>Id</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Id</em>' attribute.
	 * @see #getId()
	 * @generated
	 */
	void setId(String value);

	/**
	 * Returns the value of the '<em><b>Label</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Label</em>' attribute.
	 * @see #setLabel(String)
	 * @see org.eclipse.tptp.platform.report.chart.svg.internal.input.InputPackage#getAxisDefinition_Label()
	 * @model 
	 * @generated
	 */
	String getLabel();

	/**
	 * Sets the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getLabel <em>Label</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Label</em>' attribute.
	 * @see #getLabel()
	 * @generated
	 */
	void setLabel(String value);

	/**
	 * Returns the value of the '<em><b>Label Rotation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Label Rotation</em>' attribute.
	 * @see #isSetLabelRotation()
	 * @see #unsetLabelRotation()
	 * @see #setLabelRotation(double)
	 * @see org.eclipse.tptp.platform.report.chart.svg.internal.input.InputPackage#getAxisDefinition_LabelRotation()
	 * @model unsettable="true"
	 * @generated
	 */
	double getLabelRotation();
	
	/**
	 * Sets the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getLabelRotation <em>Label Rotation</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Label Rotation</em>' attribute.
	 * @see #isSetLabelRotation()
	 * @see #unsetLabelRotation()
	 * @see #getLabelRotation()
	 * @generated
	 */
	void setLabelRotation(double value);

	/**
	 * Unsets the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getLabelRotation <em>Label Rotation</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetLabelRotation()
	 * @see #getLabelRotation()
	 * @see #setLabelRotation(double)
	 * @generated
	 */
	void unsetLabelRotation();

	/**
	 * Returns whether the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getLabelRotation <em>Label Rotation</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>Label Rotation</em>' attribute is set.
	 * @see #unsetLabelRotation()
	 * @see #getLabelRotation()
	 * @see #setLabelRotation(double)
	 * @generated
	 */
	boolean isSetLabelRotation();

	/**
	 * Returns the value of the '<em><b>Max</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Max</em>' attribute.
	 * @see #isSetMax()
	 * @see #unsetMax()
	 * @see #setMax(double)
	 * @see org.eclipse.tptp.platform.report.chart.svg.internal.input.InputPackage#getAxisDefinition_Max()
	 * @model unsettable="true"
	 * @generated
	 */
	double getMax();

	/**
	 * Sets the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getMax <em>Max</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Max</em>' attribute.
	 * @see #isSetMax()
	 * @see #unsetMax()
	 * @see #getMax()
	 * @generated
	 */
	void setMax(double value);

	/**
	 * Unsets the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getMax <em>Max</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetMax()
	 * @see #getMax()
	 * @see #setMax(double)
	 * @generated
	 */
	void unsetMax();

	/**
	 * Returns whether the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getMax <em>Max</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>Max</em>' attribute is set.
	 * @see #unsetMax()
	 * @see #getMax()
	 * @see #setMax(double)
	 * @generated
	 */
	boolean isSetMax();

	/**
	 * Returns the value of the '<em><b>Min</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Min</em>' attribute.
	 * @see #isSetMin()
	 * @see #unsetMin()
	 * @see #setMin(double)
	 * @see org.eclipse.tptp.platform.report.chart.svg.internal.input.InputPackage#getAxisDefinition_Min()
	 * @model unsettable="true"
	 * @generated
	 */
	double getMin();

	/**
	 * Sets the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getMin <em>Min</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Min</em>' attribute.
	 * @see #isSetMin()
	 * @see #unsetMin()
	 * @see #getMin()
	 * @generated
	 */
	void setMin(double value);

	/**
	 * Unsets the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getMin <em>Min</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetMin()
	 * @see #getMin()
	 * @see #setMin(double)
	 * @generated
	 */
	void unsetMin();

	/**
	 * Returns whether the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getMin <em>Min</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>Min</em>' attribute is set.
	 * @see #unsetMin()
	 * @see #getMin()
	 * @see #setMin(double)
	 * @generated
	 */
	boolean isSetMin();

	/**
	 * Returns the value of the '<em><b>Scale</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Scale</em>' attribute.
	 * @see #setScale(String)
	 * @see org.eclipse.tptp.platform.report.chart.svg.internal.input.InputPackage#getAxisDefinition_Scale()
	 * @model 
	 * @generated
	 */
	String getScale();

	/**
	 * Sets the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getScale <em>Scale</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Scale</em>' attribute.
	 * @see #getScale()
	 * @generated
	 */
	void setScale(String value);

	/**
	 * Returns the value of the '<em><b>Major Unit</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Major Unit</em>' containment reference.
	 * @see #setMajorUnit(UnitDefinition)
	 * @see org.eclipse.tptp.platform.report.chart.svg.internal.input.InputPackage#getAxisDefinition_MajorUnit()
	 * @model containment="true"
	 * @generated
	 */
	UnitDefinition getMajorUnit();

	/**
	 * Sets the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getMajorUnit <em>Major Unit</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Major Unit</em>' containment reference.
	 * @see #getMajorUnit()
	 * @generated
	 */
	void setMajorUnit(UnitDefinition value);

	/**
	 * Returns the value of the '<em><b>Minor Unit</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Minor Unit</em>' containment reference.
	 * @see #setMinorUnit(UnitDefinition)
	 * @see org.eclipse.tptp.platform.report.chart.svg.internal.input.InputPackage#getAxisDefinition_MinorUnit()
	 * @model containment="true"
	 * @generated
	 */
	UnitDefinition getMinorUnit();

	/**
	 * Sets the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getMinorUnit <em>Minor Unit</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Minor Unit</em>' containment reference.
	 * @see #getMinorUnit()
	 * @generated
	 */
	void setMinorUnit(UnitDefinition value);

	/**
	 * Returns the value of the '<em><b>Marker Line</b></em>' containment reference list.
	 * The list contents are of type {@link org.eclipse.tptp.platform.report.chart.svg.internal.input.MarkerLine}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Marker Line</em>' containment reference list.
	 * @see org.eclipse.tptp.platform.report.chart.svg.internal.input.InputPackage#getAxisDefinition_MarkerLine()
	 * @model type="org.eclipse.tptp.platform.report.chart.svg.internal.input.MarkerLine" containment="true"
	 * @generated
	 */
	List getMarkerLine();

	/**
	 * Returns the value of the '<em><b>Marker Region</b></em>' containment reference list.
	 * The list contents are of type {@link org.eclipse.tptp.platform.report.chart.svg.internal.input.MarkerRegion}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Marker Region</em>' containment reference list.
	 * @see org.eclipse.tptp.platform.report.chart.svg.internal.input.InputPackage#getAxisDefinition_MarkerRegion()
	 * @model type="org.eclipse.tptp.platform.report.chart.svg.internal.input.MarkerRegion" containment="true"
	 * @generated
	 */
	List getMarkerRegion();

	/**
	 * Returns the value of the '<em><b>Number Format</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Number Format</em>' containment reference.
	 * @see #setNumberFormat(NumberFormat)
	 * @see org.eclipse.tptp.platform.report.chart.svg.internal.input.InputPackage#getAxisDefinition_NumberFormat()
	 * @model containment="true"
	 * @generated
	 */
	NumberFormat getNumberFormat();

	/**
	 * Sets the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getNumberFormat <em>Number Format</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Number Format</em>' containment reference.
	 * @see #getNumberFormat()
	 * @generated
	 */
	void setNumberFormat(NumberFormat value);

	/**
	 * Returns the value of the '<em><b>Date Format</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Date Format</em>' containment reference.
	 * @see #setDateFormat(DateFormat)
	 * @see org.eclipse.tptp.platform.report.chart.svg.internal.input.InputPackage#getAxisDefinition_DateFormat()
	 * @model containment="true"
	 * @generated
	 */
	DateFormat getDateFormat();

	/**
	 * Sets the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getDateFormat <em>Date Format</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Date Format</em>' containment reference.
	 * @see #getDateFormat()
	 * @generated
	 */
	void setDateFormat(DateFormat value);

	/**
	 * Returns the value of the '<em><b>Custom Format</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Custom Format</em>' containment reference.
	 * @see #setCustomFormat(CustomFormat)
	 * @see org.eclipse.tptp.platform.report.chart.svg.internal.input.InputPackage#getAxisDefinition_CustomFormat()
	 * @model containment="true"
	 * @generated
	 */
	CustomFormat getCustomFormat();

	/**
	 * Sets the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getCustomFormat <em>Custom Format</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Custom Format</em>' containment reference.
	 * @see #getCustomFormat()
	 * @generated
	 */
	void setCustomFormat(CustomFormat value);

	/**
	 * Returns the value of the '<em><b>Accessibility</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Accessibility</em>' containment reference.
	 * @see #setAccessibility(Accessibility)
	 * @see org.eclipse.tptp.platform.report.chart.svg.internal.input.InputPackage#getAxisDefinition_Accessibility()
	 * @model containment="true"
	 * @generated
	 */
	Accessibility getAccessibility();

	/**
	 * Sets the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getAccessibility <em>Accessibility</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Accessibility</em>' containment reference.
	 * @see #getAccessibility()
	 * @generated
	 */
	void setAccessibility(Accessibility value);

	/**
	 * Returns the value of the '<em><b>Event Handler</b></em>' containment reference list.
	 * The list contents are of type {@link org.eclipse.tptp.platform.report.chart.svg.internal.input.EventHandler}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Event Handler</em>' containment reference list.
	 * @see org.eclipse.tptp.platform.report.chart.svg.internal.input.InputPackage#getAxisDefinition_EventHandler()
	 * @model type="org.eclipse.tptp.platform.report.chart.svg.internal.input.EventHandler" containment="true"
	 * @generated
	 */
	List getEventHandler();

	/**
	 * Returns the value of the '<em><b>Tooltip</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Tooltip</em>' containment reference.
	 * @see #setTooltip(Tooltip)
	 * @see org.eclipse.tptp.platform.report.chart.svg.internal.input.InputPackage#getAxisDefinition_Tooltip()
	 * @model containment="true"
	 * @generated
	 */
	Tooltip getTooltip();

	/**
	 * Sets the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.AxisDefinition#getTooltip <em>Tooltip</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Tooltip</em>' containment reference.
	 * @see #getTooltip()
	 * @generated
	 */
	void setTooltip(Tooltip value);

	/**
	 * Returns the document object element of this object. 
	 * If this object was not initialized with an element, null will be returned.
	 * @return the element in the DOM represented by this object
	 */
	public Element getElement(); 

} // AxisDefinition
