/************************************************************************
 * Copyright (c) 2008 Intel Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Intel Corporation - Initial API and implementation
 *
 * $Id: ProfilerAPINotAvailableException.java,v 1.3 2008-02-07 14:47:31 ialelekov Exp $  
 ************************************************************************/
package org.eclipse.tptp.profiler;

/**
 * Thrown when an application attempts to use disabled Profiler API.   
 * To enable API see the Profiler's documentation.
 *
 * @since TPTP 4.5
 */
public class ProfilerAPINotAvailableException extends ProfilerNotAvailableException {
	private static final long serialVersionUID = 1L;
}
