/**********************************************************************
Copyright (c) 2005, 2012 IBM Corporation and others.
All rights reserved.  This program and the accompanying materials
are made available under the terms of the Eclipse Public License v1.0
which accompanies this distribution, and is available at
http://www.eclipse.org/legal/epl-v10.html
$Id: UnknownDaemonException.java,v 1.3 2005-10-04 01:32:18 gnagarajan Exp $

Contributors:
	SCAPA Technologies - initial implementation
**********************************************************************/

package org.eclipse.tptp.platform.execution.exceptions;

/**
 * This exception is thrown to indicate that the specified daemon type is not supported
 * 
 */
public class UnknownDaemonException extends Exception {
	private static final long serialVersionUID = 1L;
	
	public UnknownDaemonException() {}

	public UnknownDaemonException( String message )
	{
		super(message);
	}

}
